> ## Documentation Index
> Fetch the complete documentation index at: https://docs.a-char.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List accrual cycles

> Shared reference data used when building a time-off policy. Requires the `accrual-cycles:read` scope, which only admins hold.



## OpenAPI

````yaml /openapi.json get /accrual-cycles
openapi: 3.1.1
info:
  title: A-Char API
  version: 1.0.0
  description: 'Authenticate with `Authorization: Bearer <api key>`.'
servers:
  - url: https://a-char.com/api/v1
security:
  - bearerAuth: []
paths:
  /accrual-cycles:
    get:
      tags:
        - Accrual cycles
      summary: List accrual cycles
      description: >-
        Shared reference data used when building a time-off policy. Requires the
        `accrual-cycles:read` scope, which only admins hold.
      operationId: accrualCycles.list
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                    organization_id:
                      anyOf:
                        - type: string
                        - type: 'null'
                    balance_closing_frequency:
                      enum:
                        - annual
                        - semi-annual
                        - quarterly
                        - monthly
                        - semi-monthly
                        - bi-weekly
                        - weekly
                      type: string
                    activity_period_start:
                      type: integer
                    activity_period_close:
                      type: integer
                    cutoff_days:
                      anyOf:
                        - type: integer
                        - type: 'null'
                    created_at:
                      type: string
                      format: date-time
                      x-native-type: date
                    updated_at:
                      anyOf:
                        - type: string
                          format: date-time
                          x-native-type: date
                        - type: 'null'
                  required:
                    - id
                    - organization_id
                    - balance_closing_frequency
                    - activity_period_start
                    - activity_period_close
                    - cutoff_days
                    - created_at
                    - updated_at
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````